---
title: CSV Fields
slug: backyardapi/home-improvement-product-data-api/reference/csv-fields
docTags: 
createdAt: 2024-07-23T14:57:52.062Z
---

# CSV Fields Reference

Backyard API can return data in CSV format by specifying the  `output=csv`  request parameter. When setting  `output=csv`  the  `csv_fields`  parameter determines the fields to include in the CSV result.

CSV fields should be specified as a comma seperated list of field names, with  **nested fields being expressed in dot notation** .

Here's an example of the  `csv_fields`  parameter:

`csv_fields=`
Below is a full list of all of the supported CSV Fields shown under their group.

| *`Field Group`*    | *`Fields in Group`*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| ------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`request`*        | `type` `url` `page` `max_page` `item_id` <br />`sort_by` `search_term` `customer_zipcode` <br />`review_stars` `min_price` `max_price`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| *`product`*        | `title` `item_id` `link` `brand` `brand_link` `upc` <br />`item_number` `model_number` `description` <br />`feature_bullets` `feature_bullets_count` <br />`descriptive_attributes` <br />`descriptive_attributes_count` `images` <br />`main_image.src` `main_image.link` `videos` <br />`has_360_view` `ratings_total` `rating` <br />`specifications` `variants` `breadcrumbs` <br />`buybox_winner.price` `buybox_winner.symbol` <br />`buybox_winner.currency` `buybox_winner.was_price` <br />`buybox_winner.discount` `buybox_winner.unit` <br />`buybox_winner.fulfillment.pickup_info.store_id` <br />`buybox_winner.fulfillment.pickup_info.store_name` <br />`buybox_winner.fulfillment.pickup_info.store_state` <br />`buybox_winner.fulfillment.pickup_info.in_stock` <br />`buybox_winner.fulfillment.pickup_info.stock_level` <br />`buybox_winner.fulfillment.scheduled_delivery_info.in_stock` <br />`buybox_winner.fulfillment.scheduled_delivery_info.stock_level` <br />`buybox_winner.fulfillment.scheduled_delivery_info.lead_time` <br />`buybox_winner.fulfillment.scheduled_delivery_info.consolidation_date` <br />`buybox_winner.fulfillment.ship_to_home_info.store_id` <br />`buybox_winner.fulfillment.ship_to_home_info.store_name` <br />`buybox_winner.fulfillment.ship_to_home_info.in_stock` <br />`buybox_winner.fulfillment.ship_to_home_info.stock_level` |
| *`reviews`*        | `position` `id` `item_id` `title` `body` <br />`campaign_id` `rating` `positive_feedback` <br />`negative_feedback` `date` `source.external_source` <br />`source.is_external_source` `source.author_name` <br />`source.verified_purchase`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| *`questions`*      | `position` `id` `question` `total_answers` <br />`date` `profile.author_name` `answers.id` <br />`answers.answer` <br />`answers.is_brand_answer` `answers.date` <br />`answers.total_feedback` `answers.positive_feedback` <br />`answers.negative_feedback` <br />`answers.profile.author_name`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| *`search_results`* | `position` `product.title` `product.link` <br />`product.brand` `product.ratings_total` <br />`product.rating` `product.item_id` <br />`product.model_number` `product.primary_image` <br />`product.collection.link` `product.collection.type` <br />`product.collection.id` <br />`product.feature_bullets_count` <br />`product.feature_bullets` `offers.primary.price` <br />`offers.primary.symbol` `offers.primary.currency` <br />`offers.primary.regular_price` <br />`offers.primary.discount` <br />`offers.primary.promotion_raw` `fulfillment.pickup` <br />`fulfillment.ship_to_home` <br />`fulfillment.scheduled_delivery` <br />`fulfillment.pickup_info.store_name` <br />`fulfillment.pickup_info.stock_level` <br />`fulfillment.pickup_raw` `fulfillment.delivery_raw`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |

